Generation Framework

## org.eclipse.gmf.gmfgraph.util
Class GMFGraphAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.gmf.gmfgraph.util.GMFGraphAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  GMFGraphItemProviderAdapterFactory

    public class GMFGraphAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `GMFGraphPackage`
** Generated **

Field Summary
`protected static GMFGraphPackage` `modelPackage` The cached model package
`protected GMFGraphSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`GMFGraphAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAbstractFigureAdapter()` Creates a new adapter for an object of class '`Abstract Figure`'
`org.eclipse.emf.common.notify.Adapter` `createAbstractNodeAdapter()` Creates a new adapter for an object of class '`Abstract Node`'
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
`org.eclipse.emf.common.notify.Adapter` `createAlignmentFacetAdapter()` Creates a new adapter for an object of class '`Alignment Facet`'
`org.eclipse.emf.common.notify.Adapter` `createBasicFontAdapter()` Creates a new adapter for an object of class '`Basic Font`'
`org.eclipse.emf.common.notify.Adapter` `createBorderAdapter()` Creates a new adapter for an object of class '`Border`'
`org.eclipse.emf.common.notify.Adapter` `createBorderLayoutAdapter()` Creates a new adapter for an object of class '`Border Layout`'
`org.eclipse.emf.common.notify.Adapter` `createBorderLayoutDataAdapter()` Creates a new adapter for an object of class '`Border Layout Data`'
`org.eclipse.emf.common.notify.Adapter` `createBorderRefAdapter()` Creates a new adapter for an object of class '`Border Ref`'
`org.eclipse.emf.common.notify.Adapter` `createCanvasAdapter()` Creates a new adapter for an object of class '`Canvas`'
`org.eclipse.emf.common.notify.Adapter` `createChildAccessAdapter()` Creates a new adapter for an object of class '`Child Access`'
`org.eclipse.emf.common.notify.Adapter` `createColorAdapter()` Creates a new adapter for an object of class '`Color`'
`org.eclipse.emf.common.notify.Adapter` `createCompartmentAdapter()` Creates a new adapter for an object of class '`Compartment`'
`org.eclipse.emf.common.notify.Adapter` `createCompoundBorderAdapter()` Creates a new adapter for an object of class '`Compound Border`'
`org.eclipse.emf.common.notify.Adapter` `createConnectionAdapter()` Creates a new adapter for an object of class '`Connection`'
`org.eclipse.emf.common.notify.Adapter` `createConnectionFigureAdapter()` Creates a new adapter for an object of class '`Connection Figure`'
`org.eclipse.emf.common.notify.Adapter` `createConstantColorAdapter()` Creates a new adapter for an object of class '`Constant Color`'
`org.eclipse.emf.common.notify.Adapter` `createCustomAttributeAdapter()` Creates a new adapter for an object of class '`Custom Attribute`'
`org.eclipse.emf.common.notify.Adapter` `createCustomBorderAdapter()` Creates a new adapter for an object of class '`Custom Border`'
`org.eclipse.emf.common.notify.Adapter` `createCustomClassAdapter()` Creates a new adapter for an object of class '`Custom Class`'
`org.eclipse.emf.common.notify.Adapter` `createCustomConnectionAdapter()` Creates a new adapter for an object of class '`Custom Connection`'
`org.eclipse.emf.common.notify.Adapter` `createCustomDecorationAdapter()` Creates a new adapter for an object of class '`Custom Decoration`'
`org.eclipse.emf.common.notify.Adapter` `createCustomFigureAdapter()` Creates a new adapter for an object of class '`Custom Figure`'
`org.eclipse.emf.common.notify.Adapter` `createCustomLayoutAdapter()` Creates a new adapter for an object of class '`Custom Layout`'
`org.eclipse.emf.common.notify.Adapter` `createCustomLayoutDataAdapter()` Creates a new adapter for an object of class '`Custom Layout Data`'
`org.eclipse.emf.common.notify.Adapter` `createDecorationFigureAdapter()` Creates a new adapter for an object of class '`Decoration Figure`'
`org.eclipse.emf.common.notify.Adapter` `createDefaultSizeFacetAdapter()` Creates a new adapter for an object of class '`Default Size Facet`'
`org.eclipse.emf.common.notify.Adapter` `createDiagramElementAdapter()` Creates a new adapter for an object of class '`Diagram Element`'
`org.eclipse.emf.common.notify.Adapter` `createDiagramLabelAdapter()` Creates a new adapter for an object of class '`Diagram Label`'
`org.eclipse.emf.common.notify.Adapter` `createDimensionAdapter()` Creates a new adapter for an object of class '`Dimension`'
`org.eclipse.emf.common.notify.Adapter` `createEllipseAdapter()` Creates a new adapter for an object of class '`Ellipse`'
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`org.eclipse.emf.common.notify.Adapter` `createFigureAccessorAdapter()` Creates a new adapter for an object of class '`Figure Accessor`'
`org.eclipse.emf.common.notify.Adapter` `createFigureAdapter()` Creates a new adapter for an object of class '`Figure`'
`org.eclipse.emf.common.notify.Adapter` `createFigureDescriptorAdapter()` Creates a new adapter for an object of class '`Figure Descriptor`'
`org.eclipse.emf.common.notify.Adapter` `createFigureGalleryAdapter()` Creates a new adapter for an object of class '`Figure Gallery`'
`org.eclipse.emf.common.notify.Adapter` `createFigureRefAdapter()` Creates a new adapter for an object of class '`Figure Ref`'
`org.eclipse.emf.common.notify.Adapter` `createFlowLayoutAdapter()` Creates a new adapter for an object of class '`Flow Layout`'
`org.eclipse.emf.common.notify.Adapter` `createFontAdapter()` Creates a new adapter for an object of class '`Font`'
`org.eclipse.emf.common.notify.Adapter` `createGeneralFacetAdapter()` Creates a new adapter for an object of class '`General Facet`'
`org.eclipse.emf.common.notify.Adapter` `createGradientFacetAdapter()` Creates a new adapter for an object of class '`Gradient Facet`'
`org.eclipse.emf.common.notify.Adapter` `createGridLayoutAdapter()` Creates a new adapter for an object of class '`Grid Layout`'
`org.eclipse.emf.common.notify.Adapter` `createGridLayoutDataAdapter()` Creates a new adapter for an object of class '`Grid Layout Data`'
`org.eclipse.emf.common.notify.Adapter` `createIdentityAdapter()` Creates a new adapter for an object of class '`Identity`'
`org.eclipse.emf.common.notify.Adapter` `createInsetsAdapter()` Creates a new adapter for an object of class '`Insets`'
`org.eclipse.emf.common.notify.Adapter` `createLabelAdapter()` Creates a new adapter for an object of class '`Label`'
`org.eclipse.emf.common.notify.Adapter` `createLabeledContainerAdapter()` Creates a new adapter for an object of class '`Labeled Container`'
`org.eclipse.emf.common.notify.Adapter` `createLabelOffsetFacetAdapter()` Creates a new adapter for an object of class '`Label Offset Facet`'
`org.eclipse.emf.common.notify.Adapter` `createLayoutableAdapter()` Creates a new adapter for an object of class '`Layoutable`'
`org.eclipse.emf.common.notify.Adapter` `createLayoutAdapter()` Creates a new adapter for an object of class '`Layout`'
`org.eclipse.emf.common.notify.Adapter` `createLayoutDataAdapter()` Creates a new adapter for an object of class '`Layout Data`'
`org.eclipse.emf.common.notify.Adapter` `createLayoutRefAdapter()` Creates a new adapter for an object of class '`Layout Ref`'
`org.eclipse.emf.common.notify.Adapter` `createLineBorderAdapter()` Creates a new adapter for an object of class '`Line Border`'
`org.eclipse.emf.common.notify.Adapter` `createMarginBorderAdapter()` Creates a new adapter for an object of class '`Margin Border`'
`org.eclipse.emf.common.notify.Adapter` `createNodeAdapter()` Creates a new adapter for an object of class '`Node`'
`org.eclipse.emf.common.notify.Adapter` `createPointAdapter()` Creates a new adapter for an object of class '`Point`'
`org.eclipse.emf.common.notify.Adapter` `createPolygonAdapter()` Creates a new adapter for an object of class '`Polygon`'
`org.eclipse.emf.common.notify.Adapter` `createPolygonDecorationAdapter()` Creates a new adapter for an object of class '`Polygon Decoration`'
`org.eclipse.emf.common.notify.Adapter` `createPolylineAdapter()` Creates a new adapter for an object of class '`Polyline`'
`org.eclipse.emf.common.notify.Adapter` `createPolylineConnectionAdapter()` Creates a new adapter for an object of class '`Polyline Connection`'
`org.eclipse.emf.common.notify.Adapter` `createPolylineDecorationAdapter()` Creates a new adapter for an object of class '`Polyline Decoration`'
`org.eclipse.emf.common.notify.Adapter` `createRealFigureAdapter()` Creates a new adapter for an object of class '`Real Figure`'
`org.eclipse.emf.common.notify.Adapter` `createRectangle2DAdapter()` Creates a new adapter for an object of class '`Rectangle2 D`'
`org.eclipse.emf.common.notify.Adapter` `createRectangleAdapter()` Creates a new adapter for an object of class '`Rectangle`'
`org.eclipse.emf.common.notify.Adapter` `createRGBColorAdapter()` Creates a new adapter for an object of class '`RGB Color`'
`org.eclipse.emf.common.notify.Adapter` `createRoundedRectangleAdapter()` Creates a new adapter for an object of class '`Rounded Rectangle`'
`org.eclipse.emf.common.notify.Adapter` `createScalablePolygonAdapter()` Creates a new adapter for an object of class '`Scalable Polygon`'
`org.eclipse.emf.common.notify.Adapter` `createShapeAdapter()` Creates a new adapter for an object of class '`Shape`'
`org.eclipse.emf.common.notify.Adapter` `createStackLayoutAdapter()` Creates a new adapter for an object of class '`Stack Layout`'
`org.eclipse.emf.common.notify.Adapter` `createSVGFigureAdapter()` Creates a new adapter for an object of class '`SVG Figure`'
`org.eclipse.emf.common.notify.Adapter` `createSVGPropertyAdapter()` Creates a new adapter for an object of class '`SVG Property`'
`org.eclipse.emf.common.notify.Adapter` `createVisualFacetAdapter()` Creates a new adapter for an object of class '`Visual Facet`'
`org.eclipse.emf.common.notify.Adapter` `createXYLayoutAdapter()` Creates a new adapter for an object of class '`XY Layout`'
`org.eclipse.emf.common.notify.Adapter` `createXYLayoutDataAdapter()` Creates a new adapter for an object of class '`XY Layout Data`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GMFGraphPackage modelPackage

  The cached model package.

  ** Generated **

### modelSwitch

    protected GMFGraphSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

  ** Generated **

Constructor Detail

### GMFGraphAdapterFactory

    public GMFGraphAdapterFactory()

  Creates an instance of the adapter factory.

  ** Generated **

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.
  ** Generated **

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.
  ** Generated **

### createCanvasAdapter

    public org.eclipse.emf.common.notify.Adapter createCanvasAdapter()

  Creates a new adapter for an object of class '`Canvas`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Canvas`
  ** Generated **

### createFigureGalleryAdapter

    public org.eclipse.emf.common.notify.Adapter createFigureGalleryAdapter()

  Creates a new adapter for an object of class '`Figure Gallery`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FigureGallery`
  ** Generated **

### createIdentityAdapter

    public org.eclipse.emf.common.notify.Adapter createIdentityAdapter()

  Creates a new adapter for an object of class '`Identity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Identity`
  ** Generated **

### createDiagramElementAdapter

    public org.eclipse.emf.common.notify.Adapter createDiagramElementAdapter()

  Creates a new adapter for an object of class '`Diagram Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DiagramElement`
  ** Generated **

### createAbstractNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createAbstractNodeAdapter()

  Creates a new adapter for an object of class '`Abstract Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AbstractNode`
  ** Generated **

### createNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createNodeAdapter()

  Creates a new adapter for an object of class '`Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Node`
  ** Generated **

### createChildAccessAdapter

    public org.eclipse.emf.common.notify.Adapter createChildAccessAdapter()

  Creates a new adapter for an object of class '`Child Access`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ChildAccess`
  ** Generated **

### createRealFigureAdapter

    public org.eclipse.emf.common.notify.Adapter createRealFigureAdapter()

  Creates a new adapter for an object of class '`Real Figure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RealFigure`
  ** Generated **

### createConnectionAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectionAdapter()

  Creates a new adapter for an object of class '`Connection`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Connection`
  ** Generated **

### createCompartmentAdapter

    public org.eclipse.emf.common.notify.Adapter createCompartmentAdapter()

  Creates a new adapter for an object of class '`Compartment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Compartment`
  ** Generated **

### createDiagramLabelAdapter

    public org.eclipse.emf.common.notify.Adapter createDiagramLabelAdapter()

  Creates a new adapter for an object of class '`Diagram Label`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DiagramLabel`
  ** Generated **

### createVisualFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createVisualFacetAdapter()

  Creates a new adapter for an object of class '`Visual Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VisualFacet`
  ** Generated **

### createGeneralFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createGeneralFacetAdapter()

  Creates a new adapter for an object of class '`General Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GeneralFacet`
  ** Generated **

### createAlignmentFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createAlignmentFacetAdapter()

  Creates a new adapter for an object of class '`Alignment Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AlignmentFacet`
  ** Generated **

### createGradientFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createGradientFacetAdapter()

  Creates a new adapter for an object of class '`Gradient Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GradientFacet`
  ** Generated **

### createLabelOffsetFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createLabelOffsetFacetAdapter()

  Creates a new adapter for an object of class '`Label Offset Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LabelOffsetFacet`
  ** Generated **

### createDefaultSizeFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createDefaultSizeFacetAdapter()

  Creates a new adapter for an object of class '`Default Size Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DefaultSizeFacet`
  ** Generated **

### createFigureAdapter

    public org.eclipse.emf.common.notify.Adapter createFigureAdapter()

  Creates a new adapter for an object of class '`Figure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Figure`
  ** Generated **

### createFigureDescriptorAdapter

    public org.eclipse.emf.common.notify.Adapter createFigureDescriptorAdapter()

  Creates a new adapter for an object of class '`Figure Descriptor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FigureDescriptor`
  ** Generated **

### createAbstractFigureAdapter

    public org.eclipse.emf.common.notify.Adapter createAbstractFigureAdapter()

  Creates a new adapter for an object of class '`Abstract Figure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AbstractFigure`
  ** Generated **

### createFigureRefAdapter

    public org.eclipse.emf.common.notify.Adapter createFigureRefAdapter()

  Creates a new adapter for an object of class '`Figure Ref`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FigureRef`
  ** Generated **

### createConnectionFigureAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectionFigureAdapter()

  Creates a new adapter for an object of class '`Connection Figure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConnectionFigure`
  ** Generated **

### createDecorationFigureAdapter

    public org.eclipse.emf.common.notify.Adapter createDecorationFigureAdapter()

  Creates a new adapter for an object of class '`Decoration Figure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DecorationFigure`
  ** Generated **

### createShapeAdapter

    public org.eclipse.emf.common.notify.Adapter createShapeAdapter()

  Creates a new adapter for an object of class '`Shape`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Shape`
  ** Generated **

### createLabelAdapter

    public org.eclipse.emf.common.notify.Adapter createLabelAdapter()

  Creates a new adapter for an object of class '`Label`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Label`
  ** Generated **

### createLabeledContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createLabeledContainerAdapter()

  Creates a new adapter for an object of class '`Labeled Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LabeledContainer`
  ** Generated **

### createRectangleAdapter

    public org.eclipse.emf.common.notify.Adapter createRectangleAdapter()

  Creates a new adapter for an object of class '`Rectangle`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Rectangle`
  ** Generated **

### createRoundedRectangleAdapter

    public org.eclipse.emf.common.notify.Adapter createRoundedRectangleAdapter()

  Creates a new adapter for an object of class '`Rounded Rectangle`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RoundedRectangle`
  ** Generated **

### createEllipseAdapter

    public org.eclipse.emf.common.notify.Adapter createEllipseAdapter()

  Creates a new adapter for an object of class '`Ellipse`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Ellipse`
  ** Generated **

### createPolylineAdapter

    public org.eclipse.emf.common.notify.Adapter createPolylineAdapter()

  Creates a new adapter for an object of class '`Polyline`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Polyline`
  ** Generated **

### createPolygonAdapter

    public org.eclipse.emf.common.notify.Adapter createPolygonAdapter()

  Creates a new adapter for an object of class '`Polygon`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Polygon`
  ** Generated **

### createScalablePolygonAdapter

    public org.eclipse.emf.common.notify.Adapter createScalablePolygonAdapter()

  Creates a new adapter for an object of class '`Scalable Polygon`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ScalablePolygon`
  ** Generated **

### createPolylineConnectionAdapter

    public org.eclipse.emf.common.notify.Adapter createPolylineConnectionAdapter()

  Creates a new adapter for an object of class '`Polyline Connection`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PolylineConnection`
  ** Generated **

### createPolylineDecorationAdapter

    public org.eclipse.emf.common.notify.Adapter createPolylineDecorationAdapter()

  Creates a new adapter for an object of class '`Polyline Decoration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PolylineDecoration`
  ** Generated **

### createPolygonDecorationAdapter

    public org.eclipse.emf.common.notify.Adapter createPolygonDecorationAdapter()

  Creates a new adapter for an object of class '`Polygon Decoration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PolygonDecoration`
  ** Generated **

### createCustomClassAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomClassAdapter()

  Creates a new adapter for an object of class '`Custom Class`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CustomClass`
  ** Generated **

### createCustomFigureAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomFigureAdapter()

  Creates a new adapter for an object of class '`Custom Figure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CustomFigure`
  ** Generated **

### createCustomDecorationAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomDecorationAdapter()

  Creates a new adapter for an object of class '`Custom Decoration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CustomDecoration`
  ** Generated **

### createCustomConnectionAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomConnectionAdapter()

  Creates a new adapter for an object of class '`Custom Connection`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CustomConnection`
  ** Generated **

### createColorAdapter

    public org.eclipse.emf.common.notify.Adapter createColorAdapter()

  Creates a new adapter for an object of class '`Color`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Color`
  ** Generated **

### createRGBColorAdapter

    public org.eclipse.emf.common.notify.Adapter createRGBColorAdapter()

  Creates a new adapter for an object of class '`RGB Color`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RGBColor`
  ** Generated **

### createConstantColorAdapter

    public org.eclipse.emf.common.notify.Adapter createConstantColorAdapter()

  Creates a new adapter for an object of class '`Constant Color`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConstantColor`
  ** Generated **

### createFontAdapter

    public org.eclipse.emf.common.notify.Adapter createFontAdapter()

  Creates a new adapter for an object of class '`Font`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Font`
  ** Generated **

### createBasicFontAdapter

    public org.eclipse.emf.common.notify.Adapter createBasicFontAdapter()

  Creates a new adapter for an object of class '`Basic Font`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BasicFont`
  ** Generated **

### createPointAdapter

    public org.eclipse.emf.common.notify.Adapter createPointAdapter()

  Creates a new adapter for an object of class '`Point`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Point`
  ** Generated **

### createDimensionAdapter

    public org.eclipse.emf.common.notify.Adapter createDimensionAdapter()

  Creates a new adapter for an object of class '`Dimension`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Dimension`
  ** Generated **

### createInsetsAdapter

    public org.eclipse.emf.common.notify.Adapter createInsetsAdapter()

  Creates a new adapter for an object of class '`Insets`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Insets`
  ** Generated **

### createBorderAdapter

    public org.eclipse.emf.common.notify.Adapter createBorderAdapter()

  Creates a new adapter for an object of class '`Border`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Border`
  ** Generated **

### createBorderRefAdapter

    public org.eclipse.emf.common.notify.Adapter createBorderRefAdapter()

  Creates a new adapter for an object of class '`Border Ref`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BorderRef`
  ** Generated **

### createLineBorderAdapter

    public org.eclipse.emf.common.notify.Adapter createLineBorderAdapter()

  Creates a new adapter for an object of class '`Line Border`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LineBorder`
  ** Generated **

### createMarginBorderAdapter

    public org.eclipse.emf.common.notify.Adapter createMarginBorderAdapter()

  Creates a new adapter for an object of class '`Margin Border`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MarginBorder`
  ** Generated **

### createCompoundBorderAdapter

    public org.eclipse.emf.common.notify.Adapter createCompoundBorderAdapter()

  Creates a new adapter for an object of class '`Compound Border`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CompoundBorder`
  ** Generated **

### createCustomBorderAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomBorderAdapter()

  Creates a new adapter for an object of class '`Custom Border`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CustomBorder`
  ** Generated **

### createLayoutDataAdapter

    public org.eclipse.emf.common.notify.Adapter createLayoutDataAdapter()

  Creates a new adapter for an object of class '`Layout Data`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LayoutData`
  ** Generated **

### createCustomLayoutDataAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomLayoutDataAdapter()

  Creates a new adapter for an object of class '`Custom Layout Data`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CustomLayoutData`
  ** Generated **

### createGridLayoutDataAdapter

    public org.eclipse.emf.common.notify.Adapter createGridLayoutDataAdapter()

  Creates a new adapter for an object of class '`Grid Layout Data`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GridLayoutData`
  ** Generated **

### createBorderLayoutDataAdapter

    public org.eclipse.emf.common.notify.Adapter createBorderLayoutDataAdapter()

  Creates a new adapter for an object of class '`Border Layout Data`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BorderLayoutData`
  ** Generated **

### createLayoutableAdapter

    public org.eclipse.emf.common.notify.Adapter createLayoutableAdapter()

  Creates a new adapter for an object of class '`Layoutable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Layoutable`
  ** Generated **

### createLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createLayoutAdapter()

  Creates a new adapter for an object of class '`Layout`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Layout`
  ** Generated **

### createLayoutRefAdapter

    public org.eclipse.emf.common.notify.Adapter createLayoutRefAdapter()

  Creates a new adapter for an object of class '`Layout Ref`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LayoutRef`
  ** Generated **

### createCustomLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomLayoutAdapter()

  Creates a new adapter for an object of class '`Custom Layout`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CustomLayout`
  ** Generated **

### createGridLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createGridLayoutAdapter()

  Creates a new adapter for an object of class '`Grid Layout`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GridLayout`
  ** Generated **

### createBorderLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createBorderLayoutAdapter()

  Creates a new adapter for an object of class '`Border Layout`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BorderLayout`
  ** Generated **

### createCustomAttributeAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomAttributeAdapter()

  Creates a new adapter for an object of class '`Custom Attribute`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CustomAttribute`
  ** Generated **

### createFigureAccessorAdapter

    public org.eclipse.emf.common.notify.Adapter createFigureAccessorAdapter()

  Creates a new adapter for an object of class '`Figure Accessor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FigureAccessor`
  ** Generated **

### createFlowLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createFlowLayoutAdapter()

  Creates a new adapter for an object of class '`Flow Layout`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FlowLayout`
  ** Generated **

### createXYLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createXYLayoutAdapter()

  Creates a new adapter for an object of class '`XY Layout`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XYLayout`
  ** Generated **

### createXYLayoutDataAdapter

    public org.eclipse.emf.common.notify.Adapter createXYLayoutDataAdapter()

  Creates a new adapter for an object of class '`XY Layout Data`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XYLayoutData`
  ** Generated **

### createStackLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createStackLayoutAdapter()

  Creates a new adapter for an object of class '`Stack Layout`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StackLayout`
  ** Generated **

### createSVGFigureAdapter

    public org.eclipse.emf.common.notify.Adapter createSVGFigureAdapter()

  Creates a new adapter for an object of class '`SVG Figure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SVGFigure`
  ** Generated **

### createSVGPropertyAdapter

    public org.eclipse.emf.common.notify.Adapter createSVGPropertyAdapter()

  Creates a new adapter for an object of class '`SVG Property`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SVGProperty`
  ** Generated **

### createRectangle2DAdapter

    public org.eclipse.emf.common.notify.Adapter createRectangle2DAdapter()

  Creates a new adapter for an object of class '`Rectangle2 D`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Rectangle2D`
  ** Generated **

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.